# class HeaderData |
Full name | `Snmp::HeaderData`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- HeaderData ()
- HeaderData (void* data, int len)
- ~HeaderData ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- u_int32_t m_msgID
- static const u_int32_t s_msgIDMinSize
- static const u_int32_t s_msgIDMaxSize
- u_int32_t m_msgMaxSize
- static const u_int32_t s_msgMaxSizeMinSize
- static const u_int32_t s_msgMaxSizeMaxSize
- static const u_int8_t s_msgFlagsSize
- OctetString m_msgFlags
- u_int32_t m_msgSecurityModel
- static const u_int32_t s_msgSecurityModelMinSize
- static const u_int32_t s_msgSecurityModelMaxSize

## Detailed Description

static const int s_type | ### s_type

u_int32_t m_msgID | ### m_msgID

static const u_int32_t s_msgIDMinSize | ### s_msgIDMinSize

static const u_int32_t s_msgIDMaxSize | ### s_msgIDMaxSize

u_int32_t m_msgMaxSize | ### m_msgMaxSize

static const u_int32_t s_msgMaxSizeMinSize | ### s_msgMaxSizeMinSize

static const u_int32_t s_msgMaxSizeMaxSize | ### s_msgMaxSizeMaxSize

static const u_int8_t s_msgFlagsSize | ### s_msgFlagsSize

OctetString m_msgFlags | ### m_msgFlags

u_int32_t m_msgSecurityModel | ### m_msgSecurityModel

static const u_int32_t s_msgSecurityModelMinSize | ### s_msgSecurityModelMinSize

static const u_int32_t s_msgSecurityModelMaxSize | ### s_msgSecurityModelMaxSize

HeaderData () | ### HeaderData

HeaderData (void* data, int len) | ### HeaderData

~HeaderData () | ### ~HeaderData

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.